Bug 1465733 - webconsole doesn't support to create secrets with file upload
webconsole doesn't support to create secrets with file upload
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.1
Unspecified Unspecified
medium Severity medium
: ---
: 3.10.0
Assigned To: Jessica Forrester
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 00:46 EDT by Kenjiro Nakayama
Modified: 2018-05-15 03:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenjiro Nakayama 2017-06-28 00:46:20 EDT
Description of problem:
- We would like to create secret from file via webconsole. CLI supports this:

https://docs.openshift.com/container-platform/3.5/dev_guide/builds/build_inputs.html#using-secrets-in-the-buildconfig
```
$ oc secrets new secret-npmrc .npmrc=~/.npmrc
```

Version-Release number of selected component (if applicable):
- 3.5

How reproducible:
- 100%

Steps to Reproduce:
1. Resources->secret->Create Secret->(Seret Type) Source Secret

Actual results:
- It is not possible to specify file for the source secret.

Expected results:
- webconsole supports to create secret by file upload.
Comment 1 Jessica Forrester 2017-06-30 13:20:37 EDT
When secrets are created from a file via the CLI this creates an Opaque secret, the web console does not have support for creating opaque secrets yet. Its being tracked in https://trello.com/c/SANVwQnv
Comment 2 Steve Speicher 2018-01-02 15:58:33 EST
This did not happen in 3.7, labeling as proposed for 3.10 to evaluate
Comment 3 Yanping Zhang 2018-05-15 03:23:46 EDT
Now users could create generic secrets by uploading file on OCP 3.10, pls move the bug to ON_QA so that we can verify it.

Note You need to log in before you can comment on or make changes to this bug.